    # File lib/active_record/connection_adapters/abstract/schema_definitions.rb, line 156
            def value_to_decimal(value)
              # Using .class is faster than .is_a? and
              # subclasses of BigDecimal will be handled
              # in the else clause
              if value.class == BigDecimal
                value
              elsif value.respond_to?(:to_d)
                value.to_d
              else
                value.to_s.to_d
              end
            end